nx_server_plugin_sdk 1.0 Server Plugin SDK

Public Member Functions | Static Public Member Functions | List of all members
nx::sdk::IDeviceInfo Class Referenceabstract

`#include <i_device_info.h>`

Inheritance diagram for nx::sdk::IDeviceInfo:

## Public Member Functions
virtual const char * | id () const =0
virtual const char * | vendor () const =0
virtual const char * | model () const =0
virtual const char * | firmware () const =0
virtual const char * | name () const =0
virtual const char * | url () const =0
virtual const char * | login () const =0
virtual const char * | password () const =0
virtual const char * | sharedId () const =0
virtual const char * | logicalId () const =0
virtual int | channelNumber () const =0
Public Member Functions inherited from nx::sdk::Interface< IDeviceInfo >
virtual IRefCountable * | queryInterface (const InterfaceId *id)
Ptr< Interface > | queryInterface ()
Ptr< const Interface > | queryInterface () const
Public Member Functions inherited from nx::sdk::IRefCountable
virtual | ~IRefCountable ()=default
template<class Interface >
Ptr< Interface > | queryInterface ()
template<class Interface >
Ptr< const Interface > | queryInterface () const
virtual int | addRef () const =0
virtual int | releaseRef () const =0
int | refCountThreadUnsafe () const

## Static Public Member Functions
static auto | interfaceId ()
Static Public Member Functions inherited from nx::sdk::IRefCountable
static auto | interfaceId ()

## Additional Inherited Members
Protected Member Functions inherited from nx::sdk::Interface< IDeviceInfo >
virtual IRefCountable * | queryInterface (const IRefCountable::InterfaceId *id) override
IRefCountable * | queryInterfaceSupportingDeprecatedId (const IRefCountable::InterfaceId *id, const Uuid &deprecatedInterfaceId)
Static Protected Member Functions inherited from nx::sdk::IRefCountable
template<int len>
static const InterfaceId * | makeId (const char(&charArray)[len])
template<int len, int alternativeLen>
static std::vector< const InterfaceId * > | makeIdWithAlternative (const char(&charArray)[len], const char(&alternativeCharArray)[alternativeLen])
template<class TemplateInstance , class TemplateArg , int len>
static const InterfaceId * | makeIdForTemplate (const char(&baseIdCharArray)[len])
static std::vector< const InterfaceId * > | alternativeInterfaceIds (const InterfaceId *id)
static std::vector< const InterfaceId * > | alternativeInterfaceIds (std::vector< const InterfaceId *> ids)

## Detailed Description

Provides various information about a Device. For multichannel devices, the Device represents a single channel.

## Member Function Documentation

## ◆ channelNumber()

virtual int nx::sdk::IDeviceInfo::channelNumber | ( |  | ) | const
| pure virtual

Returns
  Zero-based index of a channel represented by the device.

Implemented in nx::sdk::DeviceInfo.

## ◆ logicalId()

virtual const char* nx::sdk::IDeviceInfo::logicalId | ( |  | ) | const
| pure virtual

Returns
  Id of the device assigned by a VMS user. Used for integrations with third-party systems.

Implemented in nx::sdk::DeviceInfo.

## ◆ sharedId()

virtual const char* nx::sdk::IDeviceInfo::sharedId | ( |  | ) | const
| pure virtual

Returns
  Id of the group of the devices this device belongs to. For example, all the channels of an NVR or multichannel encoder have the same sharedId.

Implemented in nx::sdk::DeviceInfo.

The documentation for this class was generated from the following file:

- src/nx/sdk/i_device_info.h